@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
@font-face {
    font-family: 'VAG Rounded Bold';
    src: url('../fonts/VAGRoundedLTCYR-Bold.woff2') format('woff2'),
        url('../fonts/VAGRoundedLTCYR-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'VAG Rounded Black';
    src: url('../fonts/VAGRoundedStd-Black.woff2') format('woff2'),
        url('../fonts/VAGRoundedStd-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@media(min-width: 1600px){
    .container.container--loyalty {
        width: 1570px;
    }
    .container.container--loyalty-2 {
        width: 1400px;
    }
}
.loyalty-hero .container.container--loyalty {
    width: 100% !important;
    padding: 0;
}
.loyalty-hero {
    background-color: #d1262f;
}
.loyalty-hero.header-margin {
    margin-top: 0;
    padding-top: 0;
}

.loyalty-hero .hero-mob {
    display: none;
}

.loyalty-hero .container--loyalty {
    position: relative;
}

.hero-disclaimer {
    writing-mode: tb-rl;
    transform: rotate(-180deg);
    position: absolute;
    right: 0;
    bottom: 10px;
    color: #fff;
    font-family: 'VAG Rounded Bold';
    font-size: 20px;
}

.hero-tape {
    position: absolute;
    bottom: -175px;
    left: 0;
    right: 0;
    margin: auto;
}

.hero-tape img {
    max-width: 100%;
}

.loyalty-wrapper {
    background-color: #d1262f;
    background-image: url(../images/bg-pattern.svg);
    background-repeat: repeat-y;
    background-size: 100% auto;
    font-family: "Poppins", sans-serif;
}

.loyalty-info {
    padding: 190px 0 80px 0;
}

.loyalty-info-box {
    background-color: #fff;
    border-radius: 180px;
    padding: 60px 90px;
    color: #302f2f;
    font-size: 35px;
    line-height: 40px;
}

.loyalty-info-box p {
    margin-bottom: 24px;
}

.loyalty-info-box p:last-child {
    margin-bottom: 0;
}

.loyalty-summer {
    padding: 80px 0;

    & h2 {
        font-size: 72px;
        font-weight: bold;
        font-family: 'VAG Rounded Bold';
        color: #fff;
        line-height: 88px;
        margin-bottom: 24px;
    }
    
    & .txt-1 {
        font-size: 28px;
        color: #fff;
        font-weight: 300;
        margin-bottom: 24px;
    }
    & .txt-3,
    & .txt-2 {
        font-family: 'VAG Rounded Bold';
        font-size: 44px;
        color: #fff;
        font-weight: 700;
        margin-bottom: 24px;
    }
    
    & .txt-3 {
        color: #FDB924
    }

    & .text-col {
        display: flex;
        align-items: center;
        height: 100%;
        margin-top: auto;
        margin-bottom: auto;
    }

    & .row {
        display: flex;
    }
}

.loyalty-download {
    color: #fff;
    padding-bottom: 90px;
    
    & h2 {
        font-family: 'VAG Rounded Bold';  
        font-size: 80px;
        line-height: 1;
        margin-bottom: 24px;
    }
    
    & p {
        font-size: 28px;
    }
    
    & .text-box {
        margin-bottom: 72px;
    }
    
    & .wrapper {
        display: flex;
        margin-left: auto;
        margin-right: auto;
        align-items: center;
        width: 100%;
        max-width: 730px;
        gap: 80px;
        
        & img {
            width: 100%;
        }
    }
    
    & .store-buttons {
        display: flex;
        flex-direction: column;
        gap: 48px;
        min-width: 370px;
    }

    & .qr-code {
        flex: 1;

        & img {
            width: 264px;
        }
    }
}

.loyalty-app {
    min-height: 750px;
    padding-bottom: 100px;
}
.loyalty-app-box {
    position: relative;
    width: 100%;
    max-width: 1100px;
    padding: 40px 100px 40px 30px;
    border: 5px solid #820e15;
    color: #fff;
    border-radius: 50px;
    margin: 130px 0;
    background-color: #d4282f;
}

.loyalty-app-box .phone {
    position: absolute;
    right: -360px;
    top: 0;
    bottom: 0;
    margin: auto;
}

.loyalty-app-text-1 {
    font-size: 40px;
    margin-bottom: 20px;
}

.loyalty-app-text-1 span {
    position: relative;
    font-size: 72px;
    font-weight: bold;
    z-index: 2;
    color: #d4282f;
    padding: 10px 5px;
}

.loyalty-app-text-1 span:after {
    content: '';
    box-shadow: 0px 4px 7px 0px rgba(0, 0, 0, 0.47);
    background-color: #fff;
    width: 100%;
    height: 80px;
    position: absolute;
    bottom: 20px;
    left: 0;
    right: 0;
    z-index: -1;
    border-radius: 10px;
}

.loyalty-app-text-2 {
    font-family: 'VAG Rounded Bold';
    font-size: 32px;
    line-height: 42px;
    background-color: #fff;
    border: 5px solid #820e15;
    border-radius: 80px;
    text-align: center;
    color: #d4282f;
    padding: 20px;
    margin-bottom: 25px;
}
.loyalty-app-text-2 p {
    margin-bottom: 5px;
}
.loyalty-app-text-2 p:last-child {
    margin-bottom: 0;
}
.loyalty-app-text-2 span {
    font-size: 65px;
}
.loyalty-app-box .disclaimer {
    font-size: 22px;
}
.loyalty-app-text-2 h3 {
    font-size: 50px;
    line-height: 58px;
    margin-bottom: 30px;
}

.loyalty-app-download span {
    font-size: 46px;
    line-height: 55px;
    margin-bottom: 20px;
    font-family: 'VAG Rounded Bold';
}

.loyalty-app-download {
    margin-bottom: 30px;
}

.download-stores {
    display: flex;
}

.download-stores a {
    flex: 1;
}

.download-stores a:first-child {
    text-align: right;
}

.download-stores a img {
    width: 100%;
    max-width: 345px;
}

.loyalty-codes .loyalty-codes-wrapper{
    background-color: #fff;
    border-radius: 100px;
    margin-bottom: 40px;
}

.loyalty-codes .container--loyalty h3 {
    color: #000;
    margin: 0;
    line-height: 1;
    padding: 20px 0 10px 0;
}
.loyalty-steps {

    /* & .loyalty-steps-box {
        display: flex;
        flex-wrap: wrap;
        gap: 16px;
    } */

    & .loyalty-steps-box .step-box {
        background-color: #fff;
        padding: 15px 15px 35px 15px;
        border-radius: 16px;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 100%;
    }

    & .swiper-slide {
        padding-top: 50px;
        height: auto;
    }

    & .loyalty-steps-wrapper {
        margin-bottom: 85px;
    }

    & .step-content {
        background-color: #fff;
        padding: 30px 15px 0px 15px;
        display: flex;
        align-items: start;
        position: relative;
        font-family: 'VAG Rounded Bold';
        font-size: 28px;
        text-align: center;
        color: #111111;
        line-height: 31px;
        border-radius: 30px;
        margin-bottom: 10px;
    }

    & .step-content > div {
        width: 100%;
    }

    & .step-content > span {
        background: linear-gradient(180deg, #FDB924 0%, #F47929 100%);
        width: 56px;
        height: 56px;
        text-align: center;
        border-radius: 50%;
        color: #fff;
        font-size: 30px;
        line-height: 56px;
        position: absolute;
        top: -44px;
        left: 0;
        right: 0;
        margin: auto;
    }

    & .step-footer {
        display: flex;
        align-items: center;
        justify-content: center;

        & img {
            max-width: 100%;
        }
    }

    & .content-box {

        & span {
            display: block;
            text-align: center;
        }
    }

    & .loyalty-steps-title {
        font-family: 'VAG Rounded Bold';
        font-size: 80px;
        line-height: 52px;
        color: #fff;
        margin-bottom: 48px;
        text-align: center;
    }

    & .step-box.step-box--soon:before {
        content: '';
        width: 270px;
        height: 174px;
        position: absolute;
        top: 0;
        left: 0;
        background-image: url(../images/uskoro.png);
        z-index: 10;
        background-size: 100% auto;
        background-repeat: no-repeat;
    }
}

.loyalty-account {
    & .loyalty-account-title {
        font-family: 'VAG Rounded Bold';
        font-size: 80px;
        line-height: 52px;
        color: #fff;
        margin-bottom: 48px;
        text-align: center;
    }
    & .swiper-slide {
        padding: 100px 0;
        position: relative;
        height: auto;
    }
    
    & .account {
        background-color: #fff;
        border-radius: 16px;
        padding: 20px 20px 20px 260px;
        min-height: 300px;
    }
    
    & .phone {
        position: absolute;
        left: -20px;
        top: 0;
        margin: auto;
    }
    & .account-content span {
        background: linear-gradient(180deg, #FDB924 0%, #F47929 100%);
        width: 56px;
        height: 56px;
        text-align: center;
        border-radius: 50%;
        color: #fff;
        font-size: 30px;
        line-height: 56px;
        display: block;
        font-family: 'VAG Rounded Bold';
        text-align: center;
        margin-bottom: 18px;

        &.like-a-btn {
            width: 240px;
            border-radius: 100px;
            background: #FDB924;
            font-size: 16px;
        }
    }
    & .title {
        font-size: 30px;
        line-height: 35px;
        font-family: 'VAG Rounded Bold';
        font-weight: 700;
        color: #111;
    }
    & .description {
        margin-top: 18px;
        font-size: 14px;
    }
}
.loyalty-products {
    padding: 90px 0;
    
    & .products-title {
        font-family: 'VAG Rounded Bold';
        font-size: 80px;
        line-height: 52px;
        color: #fff;
        margin-bottom: 16px;
        text-align: center;
    }
    & .products-subtitle {
        font-family: 'VAG Rounded Bold';
        font-size: 56px;
        line-height: 1;
        color: #fff;
        margin-bottom: 56px;
        text-align: center;
    }
    
    & .swiper-slide {
        height: auto;
    }
    
    & .products-box {
        background-color: #fff;
        border-radius: 16px;
        height: 100%;
        padding: 8px 8px 32px 8px;
    }
    
    & .prod-img {
        text-align: center;
        margin-bottom: 12px;
        display: flex;
        align-items: center;
        height: 200px;
        width: 100%;
    }
    
    & .prod-img img {
        max-width: 100%;
        width: auto;
        max-height: 100%;
        margin: auto;
    }
    
    & .prod-meta {
        padding: 0 16px;
        font-family: 'VAG Rounded Bold';
        color: #111;
        
        & span {
            display: block;

            &.info {
                font-weight: 400;
                font-family: "Poppins", sans-serif;
            }
        }
    }
}

.loyalty-box {
    
    & .plazma-box {
        position: relative;
        padding: 70px 0;   
    }
    
    & .plazma-box-content {
        background-color: #fff;
        padding: 36px 135px;
        border-radius: 300px;
        color: #D22730;
        font-family: 'VAG Rounded Bold';
        
        & > div {
            max-width: 50%;
        }
        
        & .title {
            font-size: 80px;
            line-height: 1;
            margin-bottom: 30px;
        }
        & .description {
            font-size: 28px;
            line-height: 1;
        }
    }
    
    & .plazma-box-img {
        position: absolute;
        right: 60px;
        top: 10px;
        max-width: 40%;
        
        & img {
            width: 100%;
        }
    }
}

.loyalty-prize {
    padding-bottom: 100px;
}

.loyalty-faqs-title,
.loyalty-prizes-title {
    font-family: 'VAG Rounded Bold';
    font-size: 78px;
    line-height: 52px;
    color: #fff;
    margin-bottom: 35px;
    text-align: center;
}

.loyalty-faqs-title.loyalty-faqs-title--small {
    font-size: 44px;
}

.loyalty-prizes-box-2 {
    margin-top: 40px;
    text-align: center;
}

.loyalty-prizes-box-2 img {
    max-width: 100%;
    margin: auto;
    display: block;
}

.loyalty-faqs {
    padding-bottom: 90px;
}

.faq-single {
    padding: 40px 60px;
    background-color: #FF6E7B;
    border-radius: 24px;
    margin-bottom: 25px;
}

.faq-single .faq-header {
    display: flex;
    color: #fff;
    font-size: 40px;
    font-family: 'VAG Rounded Bold';
    line-height: 1;
    cursor: pointer;
}

.faq-header .question {
    flex: 1;
}

.faq-header .icon {
    width: 42px;
    text-align: right;
}
.faq-single .icon img {
    transform: rotate(180deg);
}
.faq-single.is-active .icon img {
    transform: rotate(0deg);
}

.faq-single .faq-content {
    display: none;
    font-size: 24px;
    color: #fff;
    padding-top: 30px;

    & a {
        word-break: break-all;
    }
}

.faq-single .faq-content p {
    font-size: 24px;
    color: #fff;
    margin-bottom: 30px;
}
.faq-single .faq-content a {
    color: #fff;
    text-decoration: underline;
}
.faq-single .faq-content ul {
    list-style-position: inside;
}

.faq-single .faq-content p:last-child {
    margin-bottom: 0;
}

.rules p {
    text-align: left;
}

.view-rules {
    font-family: 'VAG Rounded Bold';
    background-color: #FDB924;
    padding: 20px 100px 15px 100px;
    display: inline-block;
    color: #ffff;
    border-radius: 100px;
    text-transform: uppercase;
    font-size: 30px;
    text-decoration: none;
}

.view-rules:visited,
.view-rules:active,
.view-rules:focus {
    text-decoration: none;
}

.loyalty-rules {
    padding: 100px 0;
}

.loyalty-contact {
    
    color: #fff;
    text-align: center;
    font-size: 40px;
    
    & .container {
        max-width: 1300px;
        border-top: 3px solid #FDB924;
        padding: 55px 0;
    }
    
    & .loyalty-contact-title {
        font-family: 'VAG Rounded Bold';
        margin-bottom: 16px;
        font-size: 40px;
    }

    & a {
        color: #fff;

        &.mailto {
            text-decoration: underline;
        }
    }
}
.swiper {
    padding-bottom: 50px;

    & .swiper-pagination {
        bottom: 0 !important;
    }
}
.swiper .swiper-pagination-bullet.swiper-pagination-bullet-active {
  background: #fff !important;
  opacity: 1;
  width: 50px;
  border-radius: 16px;
}

.loyalty-table {
    width: 100%;
    font-family: 'VAG Rounded Bold';
    
    & th,
    & td {
        font-size: 24px;
        line-height: 1;
        padding: 5px 10px;
    }
    
    & td {
        color: #111;
        background-color: #fff;
        
        &:first-child {
            border-radius: 10px 0 0 10px;
            
        }
        &:last-child {
            border-radius: 0 10px 10px 0;
            
        }
    }
    
    & tr {
        
        border-bottom: 6px solid #FF6E7B;
        overflow: hidden;
        
        &:first-child {
            background-color: #FF6E7B;
        }
    }
}

#notice {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(17, 17, 17, 0.6);
    z-index: 999999999;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-family: 'VAG Rounded Bold';

    & .notice-wrapper {
        background-color: #D22730;
        width: 95%;
        max-width: 1020px;
        border-radius: 32px;
        text-align: center;
        position: relative;
    }

    & #close-notice {
        position: absolute;
        top: 20px;
        right: 20px;
        border: 0;
        background-color: transparent;
        padding: 0;
    }

    & .notice-content {
        padding: 32px;

        & h3 {
            font-size: 48px;
            line-height: 1;
            color: #FDB924;
        }

        & p {
            font-size: 32px;
            line-height: 1.5;

            &.p-1 {
                margin-bottom: 24px;
            }
        }

        & a {
            text-decoration: underline;
            color: inherit;
        }
    }
}

@media(max-width: 1599px){
    .loyalty-summer h2,
    .loyalty-download h2,
    .loyalty-steps .loyalty-steps-title,
    .loyalty-account .loyalty-account-title,
    .loyalty-products .products-title,
    .loyalty-box .plazma-box-content .title,
    .loyalty-faqs-title, 
    .loyalty-prizes-title {
        font-size: 50px;
        line-height: 1;
    }

    .loyalty-products .products-subtitle {
        font-size: 40px;
    }
    .loyalty-account .title {
        font-size: 24px;
    }
    .loyalty-account .phone {
        max-width: 250px;
        top: 50px;

        & img {
            width: 100%;
        }
    }

    .loyalty-account .account {
        padding-left: 200px;
        min-height: 250px;
    }

    .loyalty-account .account-content span {
        width: 40px;
        height: 40px;
        line-height: 40px;
        font-size: 16px;
    }
}

@media(max-width: 1023px){
    .loyalty-summer h2,
    .loyalty-download h2,
    .loyalty-steps .loyalty-steps-title,
    .loyalty-account .loyalty-account-title,
    .loyalty-products .products-title,
    .loyalty-box .plazma-box-content .title,
    .loyalty-faqs-title, 
    .loyalty-prizes-title {
        font-size: 40px;
        line-height: 1;
    }

    .loyalty-hero .hero-mob {
        display: block;
    }
    .loyalty-hero .hero-desk {
        display: none;
    }
    .loyalty-summer {
        & .row {
            flex-wrap: wrap;
            flex-direction: column-reverse;

            
            & > div {
                width: 100%;
                text-align: center;
            }
        }

        & .txt-1 {
            font-size: 24px;
        }

        & .txt-2 {
            font-size: 40px;
        }

        & .txt-3 {
            font-size: 32px;
        }
    }

    .loyalty-download {
        & .wrapper {
            flex-wrap: wrap;
            flex-direction: column;
        }
        & .qr-code {
            display: none;
        }
        & .store-buttons {
            width: 100%;
            flex-direction: row;
            gap: 10px;
        }
        & .text-box {
            margin-bottom: 24px;
        }
    }
    .loyalty-download {
        color: #fff;
        padding-bottom: 60px;
    }
    .loyalty-steps {
        & .loyalty-steps-title {
            margin-bottom: 32px;
        }
         & .loyalty-steps-wrapper {
            margin-bottom: 48px;
        }
    }

    .loyalty-account {
        & .swiper-slide {
            padding: 50px 0 0 0; 
        }
    }
    .loyalty-account {
        & .phone {
            position: relative;
            margin-top: -120px;
        }
        
        & .account {
            padding-left: 20px;
            display: flex;
            flex-direction: column-reverse;
            gap: 0;
            text-align: center;
            height: 100%;
        }
        
    }

    .loyalty-products {
        padding: 50px 0;
    }
    .row {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }
    .swiper {
        padding-bottom: 30px;
    }

    .loyalty-summer {
        padding: 0 0 40px 0;
    }

    .loyalty-box {
        & .container {
            padding-left: 0;
            padding-right: 0;
        }
        
        & .plazma-box-content {
            padding: 20px 20px 120px 20px;
            border-radius: 0;
            
            & > div {
                max-width: 100%;
            }
        }
        
        & .plazma-box {
            text-align: center;
            padding: 20px 0;
        }
        
        & .plazma-box-img {
            position: relative;
            text-align: center;
            max-width: 100%;
            right: 0;
            margin-top: -100px;
            
            & img {
                width: 240px;
            }
        }
    }

    .loyalty-rules {
        padding: 20px 0;
    }

    .faq-single .faq-header {
        font-size: 24px; 
    }
    .faq-single .faq-content,
    .faq-single .faq-content p {
        font-size: 16px;
    }
    .faq-single {
        padding: 40px 20px;
    }
    .loyalty-contact {
        padding: 0 24px;
        font-size: 14px;

        & img {
            width: 20px;
        }

        & .loyalty-contact-title {
            font-size: 18px;
        }
    }
    .view-rules {
        padding: 20px 30px 15px 30px;
        font-size: 24px;
    }
    .loyalty-account .phone {
        left: 0;
    }
    .loyalty-products .prod-img {
        height: 160px;
    }
    .loyalty-table {
        & th, & td {
            font-size: 14px; 
        }
    }

    #notice .notice-content {
        padding: 16px;

        & h3 {
            font-size: 24px;
        }

        & p {
            font-size: 16px;
        }
    }

    .like-a-btn {
        margin-left: auto;
        margin-right: auto;
    }

    .loyalty-faqs-title.loyalty-faqs-title--small {
        font-size: 32px;
    }
}
